package intrinsic.mx.rpc;

public class Fault extends intrinsic.Error {

	/** Accessors */
	public String faultDetail;
	public String faultCode;
	public String faultString;

	/** Variables */
	public Object rootCause;
	public Object name;
	public Object message;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Fault() {
}

public Fault(String arg0, String arg1) {
}

public Fault(String arg0, String arg1, String arg2) {
}


/** Static Methods */

/** Methods */
public native String toString();

}
